eoBinaryHypervolumeIndicator(3)

NAME
eoBinaryHypervolumeIndicator - Functor Binary hypervolume indicator for eoParetoFitness.

SYNOPSIS

#include <eoBinaryQualityIndicator.h>

Inherits eoBinaryQualityIndicator< EOFitness >< EOFitness >.

  Public Member Functions
eoBinaryHypervolumeIndicator (double _rho)
constructor
double operator() (const EOFitness &_fitness_eo1, const EOFitness &_fitness_eo2)
indicator value of the hypervolume of the portion of the objective space that is dominated by individual _eo1 but not by individual _eo2 (don't forget to set the bounds before the call of this function)

  Private Types
typedef EOFitness::fitness_traits traits
fitness traits

  Private Member Functions
double hypervolumeIndicatorValue (const EOFitness &_fitness_eo1, const EOFitness &_fitness_eo2, const unsigned _iObj, const bool _flag=false)
computation of the hypervolume of the portion of the objective space that is dominated by individual _eo1 but not by individual _eo2
double hypervolumeIndicatorValueMin (const EOFitness &_fitness_eo1, const EOFitness &_fitness_eo2, const unsigned _iObj, const bool _flag)
computation of the hypervolume of the portion of the objective space that is dominated by individual _eo1 but not by individual _eo2 in case of a minimization on the objective _iObj
double hypervolumeIndicatorValueMax (const EOFitness &_fitness_eo1, const EOFitness &_fitness_eo2, const unsigned _iObj, const bool _flag)
computation of the hypervolume of the portion of the objective space that is dominated by individual _eo1 but not by individual _eo2 in case of a maximization on the objective _iObj

  Private Attributes
double rho
reference point for the hypervolume calculation

Detailed Description

  template<class EOFitness> class eoBinaryHypervolumeIndicator< EOFitness >
Functor Binary hypervolume indicator for eoParetoFitness.

Definition at line 217 of file eoBinaryQualityIndicator.h.

Constructor & Destructor Documentation

  template<class EOFitness> eoBinaryHypervolumeIndicator< EOFitness >::eoBinaryHypervolumeIndicator (double _rho) [inline]

constructor

Parameters:
    double _rho reference point for the hypervolume calculation (rho must not be smaller than 1)

Definition at line 227 of file eoBinaryQualityIndicator.h.

References eoBinaryHypervolumeIndicator< EOFitness >::rho.

Member Function Documentation

  template<class EOFitness> double eoBinaryHypervolumeIndicator< EOFitness >::operator() (const EOFitness & _fitness_eo1, const EOFitness & _fitness_eo2) [inline, virtual]

indicator value of the hypervolume of the portion of the objective space that is dominated by individual _eo1 but not by individual _eo2 (don't forget to set the bounds before the call of this function)

Parameters:
    EOFitness & _fitness_eo1 the fitness of the first individual
    EOFitness & _fitness_eo2 the fitness of the second individual

Implements eoBF< const EOFitness &, const EOFitness &, double >.

Definition at line 250 of file eoBinaryQualityIndicator.h.

References eoBinaryHypervolumeIndicator< EOFitness >::hypervolumeIndicatorValue().

  template<class EOFitness> double eoBinaryHypervolumeIndicator< EOFitness >::hypervolumeIndicatorValue (const EOFitness & _fitness_eo1, const EOFitness & _fitness_eo2, const unsigned _iObj, const bool _flag = false) [inline, private]

computation of the hypervolume of the portion of the objective space that is dominated by individual _eo1 but not by individual _eo2

Parameters:
    EOFitness & _fitness_eo1 the fitness of the first individual
    EOFitness & _fitness_eo2 the fitness of the second individual
    unsigned _iObj number of objectives (used for iteration)
    bool _flag = false (only used for iteration)

Definition at line 285 of file eoBinaryQualityIndicator.h.

References eoBinaryQualityIndicator< EOFitness >::bounds, eoBinaryHypervolumeIndicator< EOFitness >::hypervolumeIndicatorValueMax(), and eoBinaryHypervolumeIndicator< EOFitness >::hypervolumeIndicatorValueMin().

Referenced by eoBinaryHypervolumeIndicator< EOFitness >::hypervolumeIndicatorValueMax(), eoBinaryHypervolumeIndicator< EOFitness >::hypervolumeIndicatorValueMin(), and eoBinaryHypervolumeIndicator< EOFitness >::operator()().

  template<class EOFitness> double eoBinaryHypervolumeIndicator< EOFitness >::hypervolumeIndicatorValueMin (const EOFitness & _fitness_eo1, const EOFitness & _fitness_eo2, const unsigned _iObj, const bool _flag) [inline, private]

computation of the hypervolume of the portion of the objective space that is dominated by individual _eo1 but not by individual _eo2 in case of a minimization on the objective _iObj

Parameters:
    EOFitness & _fitness_eo1 the fitness of the first individual
    EOFitness & _fitness_eo2 the fitness of the second individual
    unsigned _iObj index of the objective
    bool _flag (only used for iteration)

Definition at line 320 of file eoBinaryQualityIndicator.h.

References eoBinaryQualityIndicator< EOFitness >::bounds, eoBinaryHypervolumeIndicator< EOFitness >::hypervolumeIndicatorValue(), and eoBinaryHypervolumeIndicator< EOFitness >::rho.

Referenced by eoBinaryHypervolumeIndicator< EOFitness >::hypervolumeIndicatorValue().

  template<class EOFitness> double eoBinaryHypervolumeIndicator< EOFitness >::hypervolumeIndicatorValueMax (const EOFitness & _fitness_eo1, const EOFitness & _fitness_eo2, const unsigned _iObj, const bool _flag) [inline, private]

computation of the hypervolume of the portion of the objective space that is dominated by individual _eo1 but not by individual _eo2 in case of a maximization on the objective _iObj

Parameters:
    EOFitness & _fitness_eo1 the fitness of the first individual
    EOFitness & _fitness_eo2 the fitness of the second individual
    unsigned _iObj index of the objective
    bool _flag (only used for iteration)

Definition at line 374 of file eoBinaryQualityIndicator.h.

References eoBinaryQualityIndicator< EOFitness >::bounds, eoBinaryHypervolumeIndicator< EOFitness >::hypervolumeIndicatorValue(), and eoBinaryHypervolumeIndicator< EOFitness >::rho.

Referenced by eoBinaryHypervolumeIndicator< EOFitness >::hypervolumeIndicatorValue().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.